# QPaintEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QEvent.

### Constructor

- void QPaintEvent(QRect paintRect)
- void QPaintEvent(QRegion paintRegion)

### Constructor Properties

- prototype: The QPaintEvent prototype object

### Prototype Object Properties

The QPaintEvent prototype object inherits properties from the QEvent prototype object and also has the following properties.

- QRect rect()
- QRegion region()

### Instance Properties

QPaintEvent objects have no special properties beyond those inherited from the QPaintEvent prototype object.